# FlowDirection

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.1.0.0)

Defines constants that specify the direction in which consecutive user interface (UI) elements are placed in a linear layout container.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum FlowDirection : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum FlowDirection As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name            | Description                                                          |
| --------------- | -------------------------------------------------------------------- |
| **BottomUp**    | Elements flow from the bottom of the design surface to the top.      |
| **LeftToRight** | Elements flow from the left edge of the design surface to the right. |
| **RightToLeft** | Elements flow from the right edge of the design surface to the left. |
| **TopDown**     | Elements flow from the top of the design surface to the bottom.      |

## Used By

| Name                                                                                             | Description                                                                                                                                |
| ------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------ |
| [FlowLayoutPanel.FlowDirection](/api/v3.1/wisej.web/containers/flowlayoutpanel.md#flowdirection) | Returns or sets a value indicating the flow direction of the [FlowLayoutPanel](/api/v3.1/wisej.web/containers/flowlayoutpanel.md) control. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.1/wisej.web/containers/flowlayoutpanel/wisej.web.flowdirection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
